Zabezpieczenia w Javie

0

Witam . Potrzebowałbym pomocy z Javą .
Chodiz o to, że w Firefoxie próbuje dostać się do zarządzalnego switcha firmy HP
i java blokuje mi aplety/okienka z ustawieniami switcha.
Wygląda to tak:

Application Blocked by Java Security.

For security, applications must now meet the requirements for the High or Very High
security settings or be part of the Exception Site list , to be allowed to run .

Wersja Javy najnowsza 1.8.0_45
kiedy wejde w Configure -> Security
zaznaczone mam
Enable Java content in the browser
oraz
HIGH

w Exception Site List jesli nawet dodam stone http://192.168.0.250/ poprzez
Edit Site List i Add
to i tak nic nie daje

nie wiem o co chodzi z tą javą , bo za bardzo siena tym nie znam
proszę zatem Was o pomoc.

0

W ostateczności można spróbować zmienić chwilowo tę Javę na wersję 1.6.*. Tam restrykcje dla appletów były mniejsze.

1

W javie 1.8 sa wieksze restrykcje odnosnie zabezpieczen niz wczesniej. nie wchodzac w szczegoly powinno sie dac zezwolic na wykonywanie skryptu. Chyba ze ktos wczesniej kliknal zeby nie odpalac za zadne skarby. Wtedy mozesz sprobowac odpalic "javaws -viewer" i wyczyscic cache, ustawienia i zezwolic na wykonywanie apletu.

Tutaj wiecej szczegolow:
http://stackoverflow.com/ques[...]-applets-running-using-oracle
https://java.com/pl/download/help/jcp_security.xml

Wiec moze tez sie okazac ze zostaje cofniecie do starszej Javy (odpowiednio stare 1.7 powinno wystarczyc, bodajze w u45 weszly wieksze restrykcje)

1 użytkowników online, w tym zalogowanych: 0, gości: 1, botów: 0